{$MODE OBJFPC}
Unit RS485;

Interface
Uses SerialInterface,SysUtils;

Type CRS485 = Class(CSerialInterface)
       Function Send(Buf:Pointer;Length:LongInt):LongInt; override;
     End;

Implementation

Function CRS485.Send(Buf:Pointer;Length:LongInt):LongInt;
Var St : ShortString;
Begin
  WriteLn('CRS485.Send(Buf:Pointer = ',IntToHex(LongInt(Buf),8)+';Length:LongInt = ',IntToStr(Length),'):LongInt;');
  if Length > 255 then Length := 255;
  SetLength(St,Length);
  Move(Buf^,St[1],Length);
  WriteLn('sending: "',St,'"');
  Result := 0;
End;

End.

